Bug 43613 - gnome-core-1.4.0.2-3,4,5.src.rpm fails to build
gnome-core-1.4.0.2-3,4,5.src.rpm fails to build
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-core (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-05 16:27 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-07 07:06:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-05 16:27:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-5 i686)

Description of problem:
make[2]: Entering directory `/usr/src/redhat/BUILD/gnome-core-1.4.0.2/po'
XML_I18N_EXTRACT=../xml-i18n-extract ../xml-i18n-update --pot
rm -f cat-id-tbl.tmp
sed -f ../intl/po2tbl.sed ./gnome-core.pot \
| sed -e "s/@PACKAGE NAME@/gnome-core/" > cat-id-tbl.tmp
if cmp -s cat-id-tbl.tmp ./cat-id-tbl.c; then \
  rm cat-id-tbl.tmp; \
else \
  echo cat-id-tbl.c changed; \
  rm -f ./cat-id-tbl.c; \
  mv cat-id-tbl.tmp ./cat-id-tbl.c; \
fi
cat-id-tbl.c changed
cd . && rm -f stamp-cat-id && echo timestamp > stamp-cat-id
file=./`echo de | sed 's,.*/,,'`.gmo \
  && rm -f $file && PATH=../src:$PATH /usr/bin/msgfmt -o $file de.po
file=./`echo ko | sed 's,.*/,,'`.gmo \
  && rm -f $file && PATH=../src:$PATH /usr/bin/msgfmt -o $file ko.po
ko.po:1116: invalid multibyte sequence
ko.po:1120: invalid multibyte sequence
ko.po:1129: invalid multibyte sequence
ko.po:1138: invalid multibyte sequence
ko.po:1143: invalid multibyte sequence
ko.po:1152: invalid multibyte sequence
found 6 fatal errors
make[2]: *** [ko.gmo] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/gnome-core-1.4.0.2/po'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gnome-core-1.4.0.2'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.83868 (%build)


How reproducible:
Always

Steps to Reproduce:
1. rebuild from source
2.
3.
	

Additional info:

xml-i18n-tools-0.8.1-1
autoconf-2.13-10
automake-1.4p2-1
gettext-0.10.38-1
libtool-1.4-3
gnome-libs-1.2.13-1
Comment 1 Havoc Pennington 2001-06-05 17:38:54 EDT
New gettext doesn't like some old po files. Next gnome-core release may fix them.
Comment 2 Need Real Name 2001-06-07 07:06:21 EDT
Confirmed, gnome-core-1.4.0.2-5 builds OK with gettext-0.10.35-31 (and
libtool-1.4-3).
Comment 3 Havoc Pennington 2001-07-12 16:07:26 EDT
Fixed now

Note You need to log in before you can comment on or make changes to this bug.